#ifndef MYCONFIGDIALOG_IMPL_H
#define MYCONFIGDIALOG_IMPL_H
#include "MyConfig.h"
#include "RegAccess.h"

class MyConfigDialog_impl : public MyConfigDialog, public RegAccess
{ 
    Q_OBJECT
    QFont m_defFont;
public:
    MyConfigDialog_impl( QWidget* parent, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    MyConfigDialog_impl();
    ~MyConfigDialog_impl();
public slots:
    void onOk();
    void onCancel()
    {
	reject();
    }
    void onAsyncValChanged(int);
    void onFont();
};

#endif // MYCONFIGDIALOG_IMPL_H
