#ifndef conf_h
#define conf_h
#include <string>
#include <fstream>
#include <map>
using namespace std;

class ReadConfig
{
    map<string, string> _map;
public:
    ReadConfig(const char* fn);
    const string& String(string key) {return _map[key];}
    int Int(string key) {return atoi(_map[key].c_str());}
    double Double(string key) {return atof(_map[key].c_str());}
    ~ReadConfig(){}
};    
class WriteConfig
{
    map<string, string> _map;
    ofstream _of;
    string _fn;
public:
    WriteConfig(const char* fn);
    void Add(string key, string value){_map[key]=value;}
//    void Add(const char* key, string value){string s(key);Add(s, value);}
    void Add(string key, int value);
//    void Add(const char* key, int value){string s(key);Add(s, value);}
    void Add(string key, double value);
//    void Add(const char* key, double value){string s(key);Add(s, value);}
    ~WriteConfig();
};
#endif
