#include <qwidget.h>

class QVolumeBar: public QWidget
{
Q_OBJECT
protected:
    int m_value;
    int minval;
    int maxval;
    int tracking;
public:
    QVolumeBar( QWidget *parent=0, const char* name=0, WFlags f=0 );
    ~QVolumeBar();
    
    void setRange(int minv, int maxv){minval=minv; maxval=maxv; update();}
    void setMinVal(int minv){minval=minv;update();}
    int getMinVal(){return minval;}
    void setMaxVal(int maxv){maxval=maxv;update();}
    int getMaxVal(){return maxval;}
    
    void setValue(int val){m_value=val;update();}
    int value(){return m_value;}
protected:
    virtual void paintEvent( QPaintEvent* );    
    virtual void mousePressEvent( QMouseEvent * );
    virtual void mouseReleaseEvent( QMouseEvent * );
    virtual void mouseMoveEvent( QMouseEvent * );
};
