#ifndef RECWINDOW_H
#define RECWINDOW_H
#include "./recwnd_p.h"
#include "recompressor.h"
#include "rec_cb.h"
class RecWindow : public RecWnd_p, public IRecompressCallback
{ 
    Q_OBJECT
    RecKernel* kernel;
    double progress, elapsed, estimated;
    long long fsize;
public:
    RecWindow( QWidget* parent, RecKernel* kern);
    ~RecWindow();

public slots:
    void cancel_process();
    void pause_process();
public:
    void setNewState(double progress, double elapsed, double estimated, long long fsize);
    void Finished();
protected:
    bool event(QEvent*);
//    bool close(bool){return false;}
};

#endif // RECWINDOW_H
