/********************************************************

	Video renderer
	Copyright 2000 Eugene Kuznetsov  (divx@euro.ru)

*********************************************************/
#include <config.h>
#include <qwidget.h>
#include <qpainter.h>
extern int width, height;
int GetPhysicalDepth(QPaintDevice* dev);

class VideoRenderer
{
protected:
    QPaintDevice* dev;
    int m_w, m_h;
public:
    VideoRenderer(){}
    virtual int Create(QWidget* w, int width, int height, int zoom=1, int xpos=0, int sub=0) =0;
    virtual int Draw(QPainter* pm, const char* data) =0;
    virtual int sync() =0;
    virtual int toggle_fullscreen() =0;
    virtual int drawSubtitles(const char*) =0;
//    virtual int Resize(int ph_w, int ph_h) =0;
    virtual ~VideoRenderer(){}
};

extern void v555to565(short* dest, const short* src, int w, int h);
extern void zoom_2_to565(short* dest, const short* src, int w, int h);
extern void zoom_2(short* dest, const short* src, int w, int h, int);


class MyPainter:public QPainter
{
public:
    MyPainter(QPaintDevice* qp):QPainter(qp){}
    virtual GC getGC(){return gc;}
};

VideoRenderer* CreateRenderer();
#ifdef USE_SDL
VideoRenderer* CreateFullscreenRenderer();
#endif
